## NAME

v.sample - Sample a raster file at site locations

## KEYWORDS

vector

## SYNOPSIS

v.sample
v.sample help
v.sample [-BCq] input=string column=string output=string rast=string [z=float] [--overwrite]

### Flags:

-B
  Bilinear interpolation [default is nearest neighbor]
-C
  Cubic convolution interpolation [default is nearest neighbor]
-q
  Quiet
--overwrite
  Force overwrite of output files

### Parameters:

input=string
  Vector map defining sample points
column=string
  Vector map attribute column to use for comparison
output=string
  Vector map to store differences
rast=string
  Raster map to be sampled
z=float
  Option scaling factor for values read from raster map. Sampled values will be multiplied by this factor
  Default: 1.0

## DESCRIPTION

v.sample samples a GRASS raster map at the point locations in the input file by either cubic convolution interpolation, bilinear interpolation, or nearest neighbor sampling (default).

This program may be especially useful when sampling for cross validation of interpolations whose output is a raster map.

## NOTES

The output points will have the easting and northing of the input points. The input category value is used. The input attribute, raster value and difference is written to output.

When NULL values are encountered for a cell, zero value is used instead. In these cases, more acurrate results may be obtained by using the default nearest neighbor comparisons.

This program may not work properly with lat-long data when the -BC flags are used.

When interpolation is done (i.e., the -BC flags are used), values are assumed to be located at the centroid of grid cells. Therefore, current resolution settings are important.

## EXAMPLE

Comparison of "elevation.dem" and "elevation.10m" Spearfish maps at random places:

    #generate random points:
     v.random output=random n=100
    #add table with one column:
     v.db.addtable random col="el10 double"
    #transfer elevations at random points into table:
     v.what.rast rast=elevation.10m vect=random col=el10
    #verify:
     v.db.select random

    #generate sampling from other elevation map:
     v.sample in=random col=el10 rast=elevation.dem out=elev_sample

    #verify:
     v.db.select elev_sample

    #univariate statistics of differences between elevation maps:
     v.univar elev_sample col=diff

## SEE ALSO

v.random, g.region Image Sampling Methods - GRASS Tutorial on s.sample (available as s.sample-tutorial.ps.gz)

## AUTHOR

James Darrell McCauley
when he was at: Agricultural Engineering Purdue University

Updated for GRASS 5.0 by Eric G. Miller
Updated for GRASS 5.7 by Radim Blazek

Last changed: $Date: 2005/12/14 01:53:03 $

Main index - vector index - Full index